-- MySQL Administrator dump 1.4
--
-- ------------------------------------------------------
-- Server version	5.0.15-nt


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;

/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;


--
-- Create schema mytestdatabase
--

CREATE DATABASE /*!32312 IF NOT EXISTS*/ mytestdatabase;
USE mytestdatabase;

--
-- Table structure for table `mytestdatabase`.`mytesttable`
--

DROP TABLE IF EXISTS `mytesttable`;
CREATE TABLE `mytesttable` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `name` varchar(45) NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `mytestdatabase`.`mytesttable`
--

/*!40000 ALTER TABLE `mytesttable` DISABLE KEYS */;
INSERT INTO `mytesttable` (`id`,`name`) VALUES 
 (1,'Denis Lavoie'),
 (2,'Restore problem with stored procedure!');
/*!40000 ALTER TABLE `mytesttable` ENABLE KEYS */;


--
-- Procedure `mytestdatabase`.`PRC_ReadTest`
--

DROP PROCEDURE IF EXISTS `PRC_ReadTest`;
DELIMITER $$

CREATE PROCEDURE `PRC_ReadTest`()
BEGIN

  select * from mytesttable;

END $$

DELIMITER ;
/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
